# Interface ZlibOptions

interface ZlibOptions {
chunkSize?: number;
dictionary?: ArrayBuffer | ArrayBufferView;
finishFlush?: number;
flush?: number;
info?: boolean;
level?: number;
maxOutputLength?: number;
memLevel?: number;
strategy?: number;
windowBits?: number;
}

- Defined in node_modules/@types/node/zlib.d.ts:96

#####
Index

### Properties

chunkSize?
dictionary?
finishFlush?
flush?
info?
level?
maxOutputLength?
memLevel?
strategy?
windowBits?

## Properties

### `Optional` chunkSize

chunkSize?: number

#### Default

    16*1024

- Defined in node_modules/@types/node/zlib.d.ts:108

### `Optional` dictionary

dictionary?: ArrayBuffer | ArrayBufferView

- Defined in node_modules/@types/node/zlib.d.ts:113

### `Optional` finishFlush

finishFlush?: number

#### Default

    constants.Z_FINISH

- Defined in node_modules/@types/node/zlib.d.ts:104

### `Optional` flush

flush?: number

#### Default

    constants.Z_NO_FLUSH

- Defined in node_modules/@types/node/zlib.d.ts:100

### `Optional` info

info?: boolean

If `true`, returns an object with `buffer` and `engine`.

- Defined in node_modules/@types/node/zlib.d.ts:117

### `Optional` level

level?: number

- Defined in node_modules/@types/node/zlib.d.ts:110

### `Optional` maxOutputLength

maxOutputLength?: number

Limits output size when using convenience methods.

#### Default

    buffer.kMaxLength

- Defined in node_modules/@types/node/zlib.d.ts:122

### `Optional` memLevel

memLevel?: number

- Defined in node_modules/@types/node/zlib.d.ts:111

### `Optional` strategy

strategy?: number

- Defined in node_modules/@types/node/zlib.d.ts:112

### `Optional` windowBits

windowBits?: number

- Defined in node_modules/@types/node/zlib.d.ts:109